Name:                lettuce
Version:             2.3.3
Release:             1
Summary:             Scalable Java Redis client
License:             ASL 2.0
URL:                 http://redis.paluch.biz/
Source0:             https://github.com/wg/lettuce/archive/lettuce-%{version}.tar.gz
BuildRequires:       maven-local mvn(io.netty:netty:3) mvn(junit:junit)
BuildArch:           noarch
%description
Lettuce is a scalable thread-safe Redis client providing both synchronous and
asynchronous connections. Multiple threads may share one connection provided
they avoid blocking and transactional operations such as BLPOP, and MULTI/EXEC.
Multiple connections are efficiently managed by the netty NIO framework.

%package javadoc
Summary:             Javadoc for %{name}
%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q
find . -name "*.class" -print -delete
find . -name "*.jar" -print -delete
%pom_remove_plugin :maven-gpg-plugin
%pom_xpath_set "pom:dependency[pom:artifactId = 'netty']/pom:version" 3
%mvn_file : %{name}

%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc README
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Tue Aug 25 2020 Jeffery.Gao <gaojianxing@huawei.com> - 2.3.3-1
- Package init
